Page MenuHomePhabricator

RecentChanges: Discrepancy in filtering for 'PHP7' tag (non-active)
Closed, ResolvedPublic

Description

'PHP7' tag as being marked non-active cannot be selected in Tag filters, yet there are many records on RC that are marked with this tag. To filter for 'PHP7' tag can be done from Special:Tags page by clicking on the 'Tagged changes' link which redirects to <a href="/w/index.php?title=Special:RecentChanges&amp;tagfilter=php7" title="Special:RecentChanges"></a>

  1. On enwiki go to Special:RecentChanges - there will be some records with PHP7 tag. However, when trying to filter by this tag - no such filter would be found.

  1. Checking Special:Tags - PHP7 tag has many edits, but is marked as non-active. Clicking on the number of edits link, Special:RecentChanges page will be displayed filtered for PHP7 tag.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 24 2019, 10:01 PM
kostajh added a subscriber: kostajh.

This is because the patch (ff024d6e9e6dbedf05f3da74e18fbbe833227be1) which added the php7 tag only added it to the list of defined tags, not the list of active ones. The RC filters UI only allows for filtering by active tags. Since the tag is actively tagging edits, I'll submit a patch to add this to the list of "active" tags so you can filter by it in the RC filters UI.

kostajh claimed this task.Aug 19 2019, 1:25 PM
kostajh moved this task from Incoming to In Progress on the Growth-Team (Current Sprint) board.

Change 530852 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/WikimediaEvents@master] Define php7 as active tag for use with RC filters

https://gerrit.wikimedia.org/r/530852

Change 530852 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Define php7 as active tag for use with RC filters

https://gerrit.wikimedia.org/r/530852

Etonkovidova closed this task as Resolved.Aug 20 2019, 8:28 PM

Checked in testwiki wmf.19